# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix /usr

Name:			libtar
Summary:		C library for manipulating tar files
Version:		1.2.11
Release:		3.1
License:		BSD
Group:			System/Libraries
Source:			libtar-%{version}.tar.bz2
Patch0:			libtar_1.2.11-4.diff.gz
Patch1:			libtar-1.2.11-missing-protos.patch
Patch2:			libtar-macro.patch
Patch3:			libtar-1.2.11-tar_header.patch
Patch4:			libtar-1.2.11-mem-deref.patch
URL:			http://www.feep.net/libtar/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	fdupes
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRequires:  autoconf automake libtool

%description
libtar is a library for manipulating tar files from within C programs.

Here are some of its features:

* Handles both POSIX tar file format and the GNU extensions.
* API provides functions for easy use, such as tar_extract_all().
* Also provides functions for more granular use, such as tar_append_regfile().

Author: Mark D. Roth <roth@uiuc.edu>

%package -n libtar-devel
Summary:	Developfiles for libtar library
Group:		Development/Libraries/C and C++
Requires:	libtar0 = %{version}

%description -n libtar-devel
Libraries, includes etc to develop with the libtar library.

%package -n libtar0
Summary:	Shared library for libtar
Group:		System/Libraries

%description -n libtar0
Shared library for package libtar.

%debug_package

%prep
%setup -q -n libtar-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%if %suse_version >= 1110
# sanitize the macro definitions so that aclocal can find them:
pushd autoconf
%__sed '/^m4_include/d;s/ m4_include/ m4][_include/g' aclocal.m4 >psg.m4
%__rm acsite.m4 aclocal.m4
popd
%__cp -p /usr/share/libtool/config/config.sub autoconf
libtoolize --copy
aclocal -I autoconf
autoconf
%else
%__cp /usr/share/libtool/config.sub /usr/share/libtool/ltmain.sh autoconf
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
%configure \
	--disable-static
%__make

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/*.la

%fdupes -s %{buildroot}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && rm -rf "%{buildroot}"

%post -n libtar0 -p /sbin/ldconfig

%postun -n libtar0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog* README TODO
%{_bindir}/%{name}

%files -n libtar0
%defattr(-,root,root)
%{_libdir}/libtar*.so.*

%files -n libtar-devel
%defattr(-,root,root)
%{_includedir}/libtar*
%doc %{_mandir}/man3/*
%{_libdir}/libtar*.so
#%{_libdir}/pkgconfig/*.pc

%changelog 
* Thu Mar 04 2010 Toni Graffy <toni@links2linux.de> - 1.2.11-1.pm.1
- revival of this oldie
* Sun Sep 09 2007 Detlef Reichelt <detlef@links2linux.de> - 1.2.11-0.pm.3
- Add a bunch of patches from Debian, which build a .so instead of a .a and fix a bunch of memory leaks.
* Fri Apr 20 2007 Detlef Reichelt <detlef@links2linux.de> - 1.2.11-0.pm.2
- add CFLAGS "-fPIC -DPIC"
* Thu Sep 21 2006 Toni Graffy <toni@links2linux.de> - 1.2.11-0.pm.1
- build for packman
* Sat Jul 29 2006 - oc2pus@arcor.de 1.2.11-0.oc2pus.1
- initial version: 1.2.11
